<!---
Thanks for filing an issue 😄 ! Before you submit, please read the following:

If you're here to report a security issue, please STOP writing an issue and contact us 
at security@swagger.io instead!

Search open/closed issues before submitting since someone might have asked the same thing before!

Issues on GitHub are only related to problems of Swagger-UI itself. We'll try to offer support
here for your use case, but we can't offer help with projects that use Swagger-UI indirectly,
like Springfox or swagger-node.

Likewise, we can't accept features or bugs in the Swagger/OpenAPI specifications themselves,
or anything that violates the specifications.

-->

<!--- Provide a general summary of the issue in the title above -->

<!--- 
  If you aren't sure what Swagger-UI version, see this guide: https://github.com/swagger-api/swagger-ui/blob/master/docs/version-detection.md
--->


| Q                               | A
| ------------------------------- | -------
| Bug or feature request?         |  
| Which Swagger/OpenAPI version?  |
| Which Swagger-UI version?       |
| How did you install Swagger-UI? | 
| Which browser & version?        |
| Which operating system?         | 


### Demonstration API definition
<!--- If you're describing a bug, please provide an API definition that reproduces your problem -->
<!--- If you have link to a demo repo please link that! -->

<!--- If your spec is large, please put it into a Gist (https://gist.github.com) instead of pasting it here. -->

```yaml
your: "API definition goes here"
```

### Configuration (browser query string, constructor, config.yaml)
<!--- If describing a bug, tell us what your configuration looks like -->

```js
{
  "your": { "constructorConfig": "here" }
}
```

`?yourQueryStringConfig=here`

### Expected Behavior
<!--- If you're describing a bug, tell us what should happen -->
<!--- If you're suggesting a change/improvement, tell us how it should work -->

### Current Behavior
<!--- If describing a bug, tell us what happens instead of the expected behavior -->
<!--- If suggesting a change/improvement, explain the difference from current behavior -->

### Possible Solution
<!--- Not obligatory, but suggest a fix/reason for the bug, -->
<!--- or ideas how to implement the addition or change -->

### Context
<!--- How has this issue affected you? What are you trying to accomplish? -->
<!--- Providing context helps us come up with a solution that is most useful in the real world -->
